
Redmine - Defect #11070

Error while deleting an issue

2012-05-31 19:48 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.2

Description

Hi,

While i try to delete an issue, i have a "405 - Method not allowed" whith those lines in the log file :

Processing ApplicationController#index (for 10.11.14.145 at 2012-05-31 19:42:13) [POST]

  Parameters: {"authenticity_token"=>"OuA4SsZWaIdAX+xxxxAN2kONOPoUkKPNRJsUkAI53sg="}

ActionController::MethodNotAllowed (Only get, put, and delete requests are allowed.):

  passenger (2.2.8) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.8) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:385:in `start_request_handl

er'

  passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:343:in `handle_spawn_applic

ation'

  passenger (2.2.8) lib/phusion_passenger/utils.rb:184:in `safe_fork'

  passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:341:in `handle_spawn_applic

ation'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:209:in `start'

  passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

 Redmine 1.4.2.stable.9700 (MySQL)

rake, version 0.9.2.2

gem 1.3.7

Any idea ?

Tx,

Patrice

History

#1 - 2012-05-31 19:53 - Anonymous

ruby 1.8.7 (2008-08-11 patchlevel 72) [i586-linux]

Rails 2.3.14
#2 - 2012-05-31 19:54 - Anonymous

The URL behind the link delete is : http://mydomain/issues/13317

Strange, no ?

#3 - 2012-05-31 19:55 - Etienne Massip

Could be a plugin issue, try with no plugin installed?

#4 - 2012-06-02 23:46 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#5 - 2012-06-05 04:16 - Elite Moly

Enable javascript.

#6 - 2012-06-14 18:55 - Anonymous

Elite Moly wrote:

Enable javascript.

 Already enabled.

#7 - 2012-06-14 18:56 - Anonymous

- Status changed from New to Resolved

I have deleted the change_author plugins. To many problem because it is not 1.4 compatible.

#8 - 2012-06-14 18:57 - Anonymous

Patrice Bonhomme wrote:

I have deleted the change_author plugins. To many problem because it is not 1.4 compatible.

 I mean the redmine_changeauthor plugin.

#9 - 2012-06-14 22:52 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid

Thank you for the feedback.
